AI Fusion Capital Group Corp.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1741824000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://aifcg.jp/wp-content/uploads/2025/03/IR20250313.pdf",
    "holding_balance": 8.01282052,
    "holding_net_change": 8.01,
    "transaction_value_usd": 643318.5,
    "average_entry_value_usd": 80286.15,
    "transaction_value_calculated": false
  },
  {
    "date": 1744156800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://aifcg.jp/wp-content/uploads/2025/04/IR20250409.pdf",
    "holding_balance": 24.63449278,
    "holding_net_change": 16.62,
    "transaction_value_usd": 1286637.0,
    "average_entry_value_usd": 77407.19,
    "transaction_value_calculated": false
  },
  {
    "date": 1763596800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://aifcg.jp/wp-content/uploads/2025/11/ir20251120.pdf",
    "holding_balance": 37.77449278,
    "holding_net_change": 7.01,
    "transaction_value_usd": 643004.39,
    "average_entry_value_usd": 91726.73,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    37.77449278
  ],
  [
    1779062400000,
    37.77449278
  ],
  [
    1779148800000,
    37.77449278
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2924873.687526411
  ],
  [
    1779062400000,
    2906530.771577371
  ],
  [
    1779148800000,
    2899570.443537728
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ai-fusion-capital-group-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}